import agentpy as ap


class FirmAgent(ap.Agent):
    def setup(self, code, name, type_region, revenue_log, list_product,
              capacity):
        self.firm_network = self.model.firm_network

        self.code = code
        self.name = name
        self.type_region = type_region
        self.revenue_log = revenue_log
        self.list_product = list_product
        self.capacity = capacity

        self.dct_product_is_disrupted = dict.fromkeys(list_product, False)
        self.dct_product_is_removed = dict.fromkeys(list_product, False)

    def remove_edge_to_customer_if_removed(self, remove_product):
        t = self.firm_network.graph.out_edges(
            self.firm_network.positions[self], keys=True, data=True)
        print(t)
